/* 
    Created on  : 2018
    Author      : Guillaume Bonnaire <guillaume.bonnaire@gbonnaire.fr>
    Package     : Template Default for OSILAP2.0
*/

html, body {
	background-color: #EFEFEF;
	font-family: Arial;
	margin: auto!important;
	height: 100%;
        width: 100%;
        font-size: 13px;
}

hr {
	width: 100%;
	border: none 0;
	border-top: 1px dashed #CCCCCC;
        margin: auto;
}

div#body {
    min-height: 100%;
    background: #FFFFFF;
    box-shadow: 1px 1px 12px #555;
    margin: 0 auto -20px;
    padding-bottom: 25px;
} 

div#footer {
    text-align: center;
    color: #CCCCCC;
    background-color: rgba(0, 0, 0, 0.7);
    position: absolute;
    box-shadow: 1px 1px 12px #555;
    display : table-row;
    height: 20px;
    width: 100%;
}

div#footer a {
    color: #CCCCCC;
}

a.disabled {
    background-color:#ccc!important
    cursor: default;
}

div.tableblock {
    display: block;
    overflow-y: auto;
    width: 100%;
}

.table tbody tr:hover {
    cursor: pointer;
    background-color: #BBD0FD!important;
}

.table {
    width: 100%!important;
    margin: 0 auto;
}

.table.word-break td {
    word-break: break-all;
    overflow-wrap: break-word;
}

fieldset {
    width: 90%;
    border: 1px #CCC solid;
    text-align: left;
}
fieldset legend {
    background-color: #FFF;
    border: 1px #CCC solid;
    width: auto;
    padding: 5px;
    margin-left: 20px;
    font-size: 1.1em;
}

input[type=search] {
    -webkit-appearance: textfield!important;
}

input.w3-input {
    margin-bottom: 5px;
}

input.w3-input[type=color] {
    max-width: 70px;
    margin: 0px;
    padding: 0px;
}

.w3-button {
    margin-bottom: 6px;
    border-radius: 8px;
}

.button {
    background-color: transparent;
}

.button:hover {
    background-color: lightgray;
    cursor: pointer;
}

.message_info, .message_success, .message_warning, .message_error {
  margin: 10px 0px;
  padding:12px; 
  width: 100%;
}
.message_info {
    color: #00529B;
    background-color: #BDE5F8;
}
.message_success {
    color: #4F8A10;
    background-color: #DFF2BF;
}
.message_warning {
    color: #9F6000;
    background-color: #FEEFB3;
}
.message_error {
    color: #D8000C;
    background-color: #FFD2D2;
}

.message_info ul, .message_success ul, .message_warning ul, .message_error ul {
    list-style-type: none;
}
.message_info ul li:before, .message_success ul li:before, .message_warning ul li:before, .message_error ul li:before {
    content: "\00BB";
    padding-right: 5px;
}

/*
ul.note {
    list-style-type: none;
}

ul.note li:before {
    content: "\00BB";
    padding-right: 5px;
}

ul.note li {
    display: block;
    background-color: #BDE5F8;
    border: 1px dashed #00529B;
    margin: 5px;
    padding: 5px;
}*/

ul.notes {      
    width : 100%;
    list-style-type: none;
}
ul.notes .note {      
    color: black;
    padding: 18px 20px;
    line-height: 26px;
    font-size: 16px;
    border-radius: 7px;
    margin-bottom: 30px;
    width: 90%;
    position: relative;
    background-color: #94C2ED;
    margin-top: 10px;
}

ul.notes .note a{
    color: black;
    text-decoration: underline;
}

ul.notes .note:after {
    bottom: 100%;
    left: 7%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-bottom-color: #94C2ED;
    border-width: 10px;
    margin-left: -10px;
}
ul.notes .note-data-name {
    
}
ul.notes .note-meta {
    color : #999999;
    font-style: italic;
    font-size: 1rem;
}
ul.notes .note-data-time {
    color : #999999;
}

.description-input {
    color: Gray;
    font-style: italic;
    font-size: small;
}

#barbuttons {
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 56px;
    display: table;
    width: 100%;
    text-align:right;
    border-bottom: 1px dashed #CCC;
    border-top: 1px solid #FFF;
    background-color: #FFF;
    z-index: 99;
}

fieldset.signature {
    border: none;
    border: 1px solid grey;
    padding: 0px;
    border-radius: 10px;
    padding-left: 5px;
    margin: 5px;
    width: 230px;
    word-break: normal;
    font-size: 12px;
    font-family: "Arial";
    text-align: center;
    color: grey;
}

fieldset.signature legend {
    border: none;
    margin: 0px;
    margin-left: 5px;
    width: 230px;
    font-size: 1.2em;
    font-family: "Arial";
    box-shadow: 2px 2px 8px grey;
}

.ui-accordion-header-active{
   background:#6294FC;
   border-color: #6294FC;
}

/* INPUT NUMBER */
input[type="number"] {
    text-align: right;
}
input.w3-input[type="number"] {
    text-align: initial;
}

table input.w3-check,table input.w3-radio {
    top: 0;
}

.sk-fading-circle {
  margin: 100px auto;
  width: 40px;
  height: 40px;
  position: relative;
}

.sk-fading-circle .sk-circle {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
}

.sk-fading-circle .sk-circle:before {
  content: '';
  display: block;
  margin: 0 auto;
  width: 15%;
  height: 15%;
  background-color: #333;
  border-radius: 100%;
  -webkit-animation: sk-circleFadeDelay 1.2s infinite ease-in-out both;
          animation: sk-circleFadeDelay 1.2s infinite ease-in-out both;
}
.sk-fading-circle .sk-circle2 {
  -webkit-transform: rotate(30deg);
      -ms-transform: rotate(30deg);
          transform: rotate(30deg);
}
.sk-fading-circle .sk-circle3 {
  -webkit-transform: rotate(60deg);
      -ms-transform: rotate(60deg);
          transform: rotate(60deg);
}
.sk-fading-circle .sk-circle4 {
  -webkit-transform: rotate(90deg);
      -ms-transform: rotate(90deg);
          transform: rotate(90deg);
}
.sk-fading-circle .sk-circle5 {
  -webkit-transform: rotate(120deg);
      -ms-transform: rotate(120deg);
          transform: rotate(120deg);
}
.sk-fading-circle .sk-circle6 {
  -webkit-transform: rotate(150deg);
      -ms-transform: rotate(150deg);
          transform: rotate(150deg);
}
.sk-fading-circle .sk-circle7 {
  -webkit-transform: rotate(180deg);
      -ms-transform: rotate(180deg);
          transform: rotate(180deg);
}
.sk-fading-circle .sk-circle8 {
  -webkit-transform: rotate(210deg);
      -ms-transform: rotate(210deg);
          transform: rotate(210deg);
}
.sk-fading-circle .sk-circle9 {
  -webkit-transform: rotate(240deg);
      -ms-transform: rotate(240deg);
          transform: rotate(240deg);
}
.sk-fading-circle .sk-circle10 {
  -webkit-transform: rotate(270deg);
      -ms-transform: rotate(270deg);
          transform: rotate(270deg);
}
.sk-fading-circle .sk-circle11 {
  -webkit-transform: rotate(300deg);
      -ms-transform: rotate(300deg);
          transform: rotate(300deg); 
}
.sk-fading-circle .sk-circle12 {
  -webkit-transform: rotate(330deg);
      -ms-transform: rotate(330deg);
          transform: rotate(330deg); 
}
.sk-fading-circle .sk-circle2:before {
  -webkit-animation-delay: -1.1s;
          animation-delay: -1.1s; 
}
.sk-fading-circle .sk-circle3:before {
  -webkit-animation-delay: -1s;
          animation-delay: -1s; 
}
.sk-fading-circle .sk-circle4:before {
  -webkit-animation-delay: -0.9s;
          animation-delay: -0.9s; 
}
.sk-fading-circle .sk-circle5:before {
  -webkit-animation-delay: -0.8s;
          animation-delay: -0.8s; 
}
.sk-fading-circle .sk-circle6:before {
  -webkit-animation-delay: -0.7s;
          animation-delay: -0.7s; 
}
.sk-fading-circle .sk-circle7:before {
  -webkit-animation-delay: -0.6s;
          animation-delay: -0.6s; 
}
.sk-fading-circle .sk-circle8:before {
  -webkit-animation-delay: -0.5s;
          animation-delay: -0.5s; 
}
.sk-fading-circle .sk-circle9:before {
  -webkit-animation-delay: -0.4s;
          animation-delay: -0.4s;
}
.sk-fading-circle .sk-circle10:before {
  -webkit-animation-delay: -0.3s;
          animation-delay: -0.3s;
}
.sk-fading-circle .sk-circle11:before {
  -webkit-animation-delay: -0.2s;
          animation-delay: -0.2s;
}
.sk-fading-circle .sk-circle12:before {
  -webkit-animation-delay: -0.1s;
          animation-delay: -0.1s;
}

@-webkit-keyframes sk-circleFadeDelay {
  0%, 39%, 100% { opacity: 0; }
  40% { opacity: 1; }
}

@keyframes sk-circleFadeDelay {
  0%, 39%, 100% { opacity: 0; }
  40% { opacity: 1; } 
}

 @media screen and (max-width: 800px) {
    html, body {
        width: 100%;
    }
  }
  
  @media print {
    a[href]:after {
      content: none !important;
    }
    
    .w3-hide-print {
        display: none;
    }
}

.jstree-default .jstree-wholerow-clicked, .jstree-default .jstree-clicked {
    background: #BBD0FD;
}

.selectize-input {
    background: #FFFFFF!important;
    border: 1px solid #ccc!important;
}

.selectize-dropdown .optgroup-header {
    font-size: inherit; 
    text-decoration: underline;
    color: #333;
}
    
.cc-revoke {
  display: none !important;
}

div#logo {
    height: 110px;
    margin-left: 10px;
}

.footer {
  position: fixed;
  left: 0;
  bottom: 0px;
  width: 100%;
  background-color: #FFFF;
  text-align: right;
  z-index: 100;
  
}

#tabs-min { 
    background: transparent; 
    border: none; 
} 
#tabs-min .ui-widget-header { 
    background: transparent; 
    border: none; 
    border-bottom: 1px solid #c0c0c0; 
    -moz-border-radius: 0px; 
    -webkit-border-radius: 0px; 
    border-radius: 0px; 
} 
#tabs-min .ui-tabs-nav .ui-state-default { 
    background: transparent; 
    border: none; 
} 
#tabs-min .ui-tabs-nav .ui-state-active { 
    background: transparent url(/template/Default/images/uiTabsArrow.png) no-repeat bottom center; 
    border: none; 
} 
#tabs-min .ui-tabs-nav .ui-state-default a { 
    color: #c0c0c0; 
} 
#tabs-min .ui-tabs-nav .ui-state-active a { 
    color: #6294FC; 
}

#tabs-min.ui-tabs .ui-tabs-panel {
    padding: 0px;
}

@media all and (max-width: 800px), only screen and (-webkit-min-device-pixel-ratio: 2) and (max-width: 1024px), only screen and (min--moz-device-pixel-ratio: 2) and (max-width: 1024px), only screen and (-o-min-device-pixel-ratio: 2/1) and (max-width: 1024px), only screen and (min-device-pixel-ratio: 2) and (max-width: 1024px), only screen and (min-resolution: 192dpi) and (max-width: 1024px), only screen and (min-resolution: 2dppx) and (max-width: 1024px) {
    #barbuttons {
        display: none;
    }
    .ui-tabs {
        padding: 0!important;
    }
    
    .ui-tabs .ui-tabs-panel {
        padding: 0!important;
    }
    
    div#logo {
        height: 70px;
    }
    
    div#logo img {
        width: auto;
        height:40px!important;
    }
    
    div#logo-auth {
        height: 110px;
    }
    
    div#logo-auth img {
        width: auto;
        height:60px!important;
    }
    
    .w3-button {
        border-radius: 0px;
    }
    
    #tabs-min .ui-tabs-nav {
        overflow-x: auto;
        overflow-y: hidden;
        display: flex;
    }
}

